List Agents

GET https://api.braincxai.com/agents
GET /agents
200 Retrieved

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Query parameters

Parameter Type Required Description
limit integer Optional Maximum number of items to return. Defaults to 100.
offset integer Optional Number of items to skip before starting to collect the result set.

Create Agent

POST https://api.braincxai.com/agents
POST /agents
200 Retrieved

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Request body

Required fields:

  • name - Agent name
  • system_prompt - Instructions for the AI agent

Optional fields:

See Complete Field Reference for all available fields including voice configuration, greeting settings, STT configuration, and advanced features.

Get Agent

GET https://api.braincxai.com/agents/{agent_id}
GET /agents/{agent_id}
200 Retrieved

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

Update Agent

PUT https://api.braincxai.com/agents/{agent_id}

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

Request body

Note: All fields are optional. Only include fields you want to update.

See Complete Field Reference for all available fields.

Delete Agent

DEL https://api.braincxai.com/agents/{agent_id}

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

Archive Agent

POST https://api.braincxai.com/agents/{agent_id}/archive

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

Unarchive Agent

POST https://api.braincxai.com/agents/{agent_id}/unarchive

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

Upload Background Audio

POST https://api.braincxai.com/agents/{agent_id}/background-audio/upload

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

Request body

Upload an audio file (MP3, WAV, etc.) to use as background audio during calls.

Delete Background Audio

DEL https://api.braincxai.com/agents/{agent_id}/background-audio

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

List Extraction Fields

GET https://api.braincxai.com/agents/{agent_id}/extraction-fields

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

Create Extraction Field

POST https://api.braincxai.com/agents/{agent_id}/extraction-fields

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

Request body

Define fields to extract from conversations.

Update Extraction Field

PUT https://api.braincxai.com/agents/{agent_id}/extraction-fields/{field_id}

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.
field_id string (UUID) Required The unique identifier of the extraction field.

Delete Extraction Field

DEL https://api.braincxai.com/agents/{agent_id}/extraction-fields/{field_id}

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.
field_id string (UUID) Required The unique identifier of the extraction field.

Test Agent Chat

POST https://api.braincxai.com/agents/{agent_id}/chat

Authentication

Authorization Bearer

Retrieve your API Key from Dashboard.

Path parameters

Parameter Type Required Description
agent_id string (UUID) Required The unique identifier of the agent.

Request body

Send a test message to the agent and receive a response.